<?php
/**
 * TOP API: alibaba.alihealth.ent.yzw.getdrugidbyprodcode request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthEntYzwGetdrugidbyprodcodeRequest
{
	/** 
	 * 包装规格
	 **/
	private $pkgSpec;
	
	/** 
	 * 药品子类编码（prodCode）
	 **/
	private $prodCode;
	
	/** 
	 * 企业id
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setPkgSpec($pkgSpec)
	{
		$this->pkgSpec = $pkgSpec;
		$this->apiParas["pkg_spec"] = $pkgSpec;
	}

	public function getPkgSpec()
	{
		return $this->pkgSpec;
	}

	public function setProdCode($prodCode)
	{
		$this->prodCode = $prodCode;
		$this->apiParas["prod_code"] = $prodCode;
	}

	public function getProdCode()
	{
		return $this->prodCode;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.ent.yzw.getdrugidbyprodcode";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->pkgSpec,"pkgSpec");
		RequestCheckUtil::checkNotNull($this->prodCode,"prodCode");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
